import request from '@/config/axios'

export const HomeApi = {
  /**
   * 获取区域
   */
  getArea: () => {
    return request.get({
      url: `/system/home/getUserArea`
    })
  },
  /**
   * 获取列表数据
   */
  getListData: params => {
    return request.get({
      url: '/system/home/appCount2',
      params
    })
  },
  /**
   * 获取饼图相关的数据
   */
  getPieData: (params) => {
    return request.get({
      url: '/system/home/appCount1',
      params
    })
  },
  /**
   * 近6个月任务走势
   */
  getTaskNumDoing:params=>{
    return request.get({
      url: '/system/home/taskNumDoing',
      params
    })
  },
  /**
   * 执法整改
   */
  getExecCorrection:params=>{
    return request.get({
      url: '/system/home/execCorrectionCount',
      params
    })
  },
  /**
   * 最新任务
   */
  getNewTask:params=> {
    return request.get({
      url: 'system/task-info/appPage',
      params
    })
  }
}
