import request from '@/config/axios'

// 政策法规 VO
export interface PolicyVO {
  id: number // id
    name: string // 名称
    context: string // 内容
    effectiveDate: Date // 生效日期
}

// 政策法规 API
export const PolicyApi = {
  // 查询政策法规分页
  getPolicyPage: async (params: any) => {
    return await request.get({ url: `/system/policy/page`, params })
  },

  // 查询政策法规详情
  getPolicy: async (id: number) => {
    return await request.get({ url: `/system/policy/get?id=` + id })
  },

  // 新增政策法规
  createPolicy: async (data: PolicyVO) => {
    return await request.post({ url: `/system/policy/create`, data })
  },

  // 修改政策法规
  updatePolicy: async (data: PolicyVO) => {
    return await request.put({ url: `/system/policy/update`, data })
  },

  // 删除政策法规
  deletePolicy: async (id: number) => {
    return await request.delete({ url: `/system/policy/delete?id=` + id })
  },

  // 导出政策法规 Excel
  exportPolicy: async (params) => {
    return await request.download({ url: `/system/policy/export-excel`, params })
  },
}
